SET SERVEROUTPUT ON;
spool pruebas.log
set echo on

/*------------------------*
 *     PRUEBAS ABM         *
 *----------------------- */

DECLARE
   RSP VARCHAR2(500);
BEGIN
	-- ESTADO
	   
   --ALTA CORRECTA DE UN NUEVO ESTADO
   ALTAESTADO('Grecia', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UN NUEVO ESTADO
   ALTAESTADO(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UN ESTADO
   MODESTADOPAIS(7, 'Chipre', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
  --BAJA CORRECTA DE UN ESTADO
   BAJESTADO(7, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UN ESTADO QUE NO EXISTE
   BAJESTADO(100, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);    
   
   -- PAIS
   
   --ALTA CORRECTA DE UN NUEVO PAIS
   ALTAPAIS('Serbia', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UN NUEVO PAIS
   ALTAPAIS(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UN PAIS
   MODESTADOPAIS(8, 'Montenegro', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
  --BAJA CORRECTA DE UN PAIS
   BAJPAIS(8, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UN PAIS QUE NO EXISTE
   BAJPAIS(99, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);   

   -- PARTIDO
   
   --ALTA CORRECTA DE UN NUEVO PARTIDO
   ALTAPARTIDO('CIU', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UN NUEVO PARTIDO
   ALTAPARTIDO(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UN PARTIDO
   MODPARTIDO(5, 'ABC', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
  --BAJA INCORRECTA DE UN PARTIDO ASIGNADO A UN PARLAMENTARIO
   BAJPARTIDO(1, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UN PARTIDO QUE NO EXISTE
   BAJPARTIDO(99, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);
   
  --BAJA CORRECTA DE UN PARTIDO
   BAJPARTIDO(5, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);   
   
   
   
   -- IVA
   
   --ALTA CORRECTA DE UN NUEVO IVA
   ALTAIVA('Iva 10%', '0,10', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UN NUEVO IVA
   ALTAIVA('Iva 25%',NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UN IVA
   MODIVA(7, 'Iva 20%','0,20', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
  --BAJA CORRECTA DE UN IVA
   BAJIVA(7, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UN IVA QUE NO EXISTE
   BAJIVA(99, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);  
   
   
   -- REGIONES
   
   --ALTA CORRECTA DE UNA NUEVA REGION
   ALTAREGION('País Vasco', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UNA NUEVA REGION
   ALTAREGION(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UNA REGION
   MODREGION(5, 'Cantabria', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
  --BAJA CORRECTA DE UNA REGION
   BAJREGION(5, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UNA REGION QUE NO EXISTE
   BAJREGION(99, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);   
 
   
   -- ESTADO DE GASTO
   
   --ALTA CORRECTA DE UN NUEVO ESTADO DE GASTO
   ALTAESTADOGASTO('En Pruebas', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UN NUEVO ESTADO DE GASTO
   ALTAESTADOGASTO(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UN ESTADO DE GASTO
   MODESTADOGASTO(5, 'Finalizado', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
  --BAJA CORRECTA DE UN ESTADO DE GASTO
   BAJESTADOGASTO(5, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UN ESTADO DE GASTO QUE NO EXISTE
   BAJESTADOGASTO(99, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);   
   
   
   
-- GASTO PARLAMENTARIO
   
   --ALTA CORRECTA DE UN NUEVO GASTO PARLAMENTARIO
   ALTAGASTOPARLAMENTARIO('Videoclub', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UN NUEVO GASTO PARLAMENTARIO
   ALTAGASTOPARLAMENTARIO(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UN GASTO PARLAMENTARIO
   MODGASTO(15, 'Alquiler de pelis', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
  --BAJA CORRECTA DE UN GASTO PARLAMENTARIO
   BAJGASTOPARLAMENTARIO(15, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UN GASTO QUE NO EXISTE
   BAJGASTOPARLAMENTARIO(99, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);    

   -- GASTO PARLAMENTO
   
   --ALTA CORRECTA DE UN NUEVO GASTO PARLAMENTO
   ALTAGASTOPARLAMENTO('Alquiler de campo de futbol', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UN NUEVO GASTO PARLAMENTO
   ALTAGASTOPARLAMENTO(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UN GASTO PARLAMENTO
   MODGASTO(16, 'Alquiler de terreno deportivo', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
  --BAJA CORRECTA DE UN GASTO PARLAMENTO
   BAJGASTOPARLAMENTO(16, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UN ESTADO DE GASTO QUE NO EXISTE
   BAJGASTOPARLAMENTO(99, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);   
      
   
   
   -- FORMA PAGO PARLAMENTARIO
   
   --ALTA CORRECTA DE UNA NUEVA FORMA DE PAGO DE PARLAMENTARIO
   ALTAFORMAPAGOPARLAMENTARIO('Al contado', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UNA NUEVA FORMA DE PAGO DE PARLAMENTARIO
   ALTAFORMAPAGOPARLAMENTARIO(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UNA FORMA DE PAGO DE PARLAMENTARIO
   MODFORMAPAGO(3, 'En efectivo', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
  --BAJA CORRECTA DE UNA FORMA DE PAGO DE PARLAMENTARIO
   BAJFORMAPAGOPARLAMENTARIO(3, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UNA FORMA DE PAGO DE PARLAMENTARIO QUE NO EXISTE
   BAJFORMAPAGOPARLAMENTARIO(8, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);  

   -- FORMA PAGO PARLAMENTO
   
   --ALTA CORRECTA DE UNA NUEVA FORMA DE PAGO DE PARLAMENTO
   ALTAFORMAPAGOPARLAMENTO('A credito', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE UNA NUEVA FORMA DE PAGO DE PARLAMENTO
   ALTAFORMAPAGOPARLAMENTO(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UNA FORMA DE PAGO DE PARLAMENTO
   MODFORMAPAGO(4, 'A plazos', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
  --BAJA CORRECTA DE UNA FORMA DE PAGO DE PARLAMENTO
   BAJFORMAPAGOPARLAMENTO(4, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UNA FORMA DE PAGO DE PARLAMENTO QUE NO EXISTE
   BAJFORMAPAGOPARLAMENTO(8, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);      
   

 -- PARLAMENTO
   
   --ALTA CORRECTA DE UN PARLAMENTO
   ALTAPARLAMENTO('Parlamento Valenciano','Calle sin numerar',NULL,NULL,'1',NULL,RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE PARLAMENTO: NO EXISTE EL PAIS
   ALTAPARLAMENTO('Parlamento Vasco','Calle Aeroportua',NULL,NULL,'20',NULL,RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE PARLAMENTO: NO EXISTE LA REGION
   ALTAPARLAMENTO('Parlamento Vasco','Calle Aeroportua',NULL,NULL,NULL,40,RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UN PARLAMENTO CORRECTAMENTE
   MODPARLAMENTO('6','Parlamento Valenciano','Calle Mata','977777777',NULL,'1',NULL,RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
  
  --BAJA CORRECTA DE UN PARLAMENTO
   BAJPARLAMENTO(6, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --BAJA DE UN PARLAMENTO QUE NO EXISTE
   BAJPARLAMENTO(15, RSP );
   DBMS_OUTPUT.PUT_LINE(RSP);              
   
   
    -- PARLAMENTARIO
   
   --ALTA CORRECTA DE UN PARLAMENTARIO
   ALTAPARLAMENTARIO('1','Carlos Slim','1',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE PARLAMENTARIO: NO EXISTE EL PARTIDO POLITICO
   ALTAPARLAMENTARIO('2','Josep Blater','6',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --ALTA INCORRECTA DE PARLAMENTARIO: NO EXISTE EL PARLAMENTO
   ALTAPARLAMENTARIO('10','Josep Blater','1',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --MODIFICACION DE UN PARLAMENTO CORRECTAMENTE
   MODPARLAMENTARIO('3','1','Carles Colell','1',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
  --BAJA CORRECTA DE UN PARLAMENTARIO
   BAJPARLAMENTARIO('1','3',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --BAJA DE UN PARLAMENTARIO QUE NO EXISTE
   BAJPARLAMENTARIO('12','20',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);  
   
   -- HISTORICO GASTO PARLAMENTO
   --ALTA CORRECTA DE UN GASTO AL PARLAMENTO
   ALTAHGASTOPARLAMENTO('30/01/2013','13','1','100','A47443703','Material en general','Para el jefe',null,'1','2','1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);   		

   --ALTA INCORRECTA DE UN GASTO AL PARLAMENTO -> NO EXISTE EL TIPO DE GASTO
   ALTAHGASTOPARLAMENTO('25/01/2013','25','1','100','A47443703','Material en general','Para el jefe',null,'1','2','1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);   	
	
   --ALTA INCORRECTA DE UN GASTO AL PARLAMENTO -> NO SE HA INFORMADO EL NIF Y EL IMPORTE ES GRANDE
   ALTAHGASTOPARLAMENTO('25/01/2013','13','1','1000',NULL,'Material en general','Para el jefe',null,'1','2','1',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   		

   --ALTA INCORRECTA DE UN GASTO AL PARLAMENTO -> ERROR EN EL ESTADO DEL GASTO
   ALTAHGASTOPARLAMENTO('25/01/2013','13','1','10',NULL,'Material en general','Para el jefe',null,'1','9','1',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   		   

   --MODIFICACION DEL GASTO DEL PARLAMENTO
   MODHGASTOPARLAMENTO('30/01/2013','13','1','200','A47443703','Material en general','Para el jefe',null,'1','2','1',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   	
   
   --BAJA INCORRECTA DE UN GASTO DE PARLAMENTO NO EXISTE EL REGISTRO
   BAJHGASTOPARLAMENTO('30/01/2015','13','1',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   	
   
   
   -- HISTORICO GASTO PARLAMENTARIO
   --ALTA CORRECTA DE UN GASTO AL PARLAMENTO
   ALTAHGASTOPARLAMENTARIO('31/01/2013','5','1','1','1','100','A47443703','Aviones','Para el jefe',null,'1','2','2',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);   		

   --ALTA INCORRECTA DE UN GASTO AL PARLAMENTO -> NO EXISTE EL TIPO DE GASTO
   ALTAHGASTOPARLAMENTARIO('31/01/2013','45','1','1','1','100','A47443703','Aviones','Para el jefe',null,'1','2','2',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);   		
	
   --ALTA INCORRECTA DE UN GASTO AL PARLAMENTO -> NO SE HA INFORMADO EL NIF Y EL IMPORTE ES GRANDE
   ALTAHGASTOPARLAMENTARIO('25/01/2013','5','1','1','1','1000',NULL,'Aviones','Para el jefe',null,'1','2','2',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   		

   --ALTA INCORRECTA DE UN GASTO AL PARLAMENTO -> ERROR EN EL ESTADO DEL GASTO
   ALTAHGASTOPARLAMENTARIO('25/01/2013','5','1','1','1','100','A47443703','Aviones','Para el jefe',null,'1','9','2',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   		   

   --MODIFICACION DEL GASTO DEL PARLAMENTO
   MODHGASTOPARLAMENTARIO('31/01/2013','5','1','1','1','1500','A47443703','Aviones','Para el jefe',null,'1','2','2',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   	
   
   --BAJA INCORRECTA DE UN GASTO DE PARLAMENTO NO EXISTE EL REGISTRO
   BAJHGASTOPARLAMENTARIO('31/01/2015','5','1','1',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   	   
END;
/


spool off



