create or replace
PROCEDURE BAJLOG (
   idLog_   IN logs.idlog%TYPE, 
   rsp              OUT VARCHAR2
)
IS
/******************************************************************************
   NOMBRE:      bajLog
   PROPSITO:   gestiona la baja en la tabla log
                
   PARAMETERS:  idLog_,rsp
   INPUT:       idLog_
   OUTPUT:      rsp
   RETORNA:     'OK' si la operacin ha sido exitosa, 'ERROR: Tipo de Error' en
                caso contrario
   EJEMPLO DE USO:     bajLog('1582', rst)
******************************************************************************/
  
BEGIN
 

  DELETE FROM LOGS WHERE IDLOG=idLog_;
   
   -- Fin de las operaciones
   rsp := 'OK';
   COMMIT;
EXCEPTION

WHEN OTHERS
   THEN
      rsp :=    'ERROR:'||SUBSTR (SQLERRM, 1, 100);
      ROLLBACK;
END bajLog;
/